mchar_decode(3m17n)

NAME
mchar_decode - Decode a code-point.

SYNOPSIS
int mchar_decode (MSymbol charset_name, unsigned code)

DESCRIPTION
Decode a code-point.

The mchar_decode() function decodes code-point code in the charset represented by the symbol charset_name to get a character code.

RETURN VALUE

    If decoding was successful, mchar_decode() returns the decoded character code. Otherwise it returns -1.

SEE ALSO

    mchar_encode()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.